//hashtag.js  2020-03-18
//custom line 66

	// ハッシュタグ処理
	function hashtag(tag) {
		var hashtag = tag;

		// NAV全閉
		$('nav>ul>li>span>a>em').text('▶');
		$('nav>ul>li>ul').hide();

		// タグ検索結果初期化
		$('#searchResultsArea>div.page').html('');
		// 初期化
		$('.chapterIndex').hide();
		$('article').hide();
		$('#searchResults').show();
		// SP SEARCH HIDE
		if ($('.spHeader').css('display') === 'block') {	// IF SP
			$('#spTopImage').hide();
			$('nav').hide();
		}


		// 記事総当たり
		var resultHtml = '';
		var tagsall = [];
		var tagsalls = '';
		for (var i = 1; i < $("article").length; i++) {
			var tags = [];
			for (var ii = 0; ii < $("article").eq(i).find('div.tag>span').length; ii++) {
				var tagtemp = $("article").eq(i).find('div.tag>span').eq(ii).text();
				tags.push(tagtemp);
				if (tagsall.indexOf(tagtemp) === -1) {
					tagsall.push(tagtemp);
				}
			}
			// 結果生成
			if ($.inArray(hashtag, tags)!= -1) {
				var title = $("article").eq(i).children('h1').text();
				var link = $("article").eq(i).attr("id").substr(2);
				var str = $("article").eq(i).children('div.page').text().replace(/[\n\r\t]/g, "");
				var text = str.substr(0,160);
				resultHtml += '<section>';
				resultHtml += '<h2><a href="#' + link + '" class="searchResults">' + title + '</a></h2>';
				resultHtml += '<p class="sub"><a href="#' + link + '" class="searchResults">' + text + '</a></p>';
				resultHtml += '</section>';
			}
		}
		//タグの並び替え
		tagsall.sort(function(a, b){
			a = katakanaToHiragana(a.toString().toLowerCase());
			b = katakanaToHiragana(b.toString().toLowerCase());
			if(a < b){
				return -1;
			}else if(a > b){
				return 1;
			}
			return 0;
		});
		//タグ配置用データ
		$.each(tagsall, function(index, value) {
			tagsalls += '<span>' + value + '</span>';
		});

		$('#searchResultsArea>div.page').append('<section><p class="mb2">Page of <strong>' + $('<span/>').text(hashtag).html() + '</strong>.</p>'+'<div class="tag">' + tagsalls + '</div></section>');

		$('#searchResultsArea>div.page').append(resultHtml);
		// NAVサイド色戻す
		$('nav>ul>li>ul>li>span>a').css('border-left', '11px solid #8fa2cc');
		// NAVサイドTRI戻す
		$('nav>ul>li>ul>li').removeClass('now');
	}

	function katakanaToHiragana(src) {
		return src.replace(/[\u30a1-\u30f6]/g, function(match) {
			var chr = match.charCodeAt(0) - 0x60;
			return String.fromCharCode(chr);
		});
	}


	// ハッシュタグクリック動作
	$(document).on('click', 'div.tag>span', function (e) {
		var manualname = $(this).text();
		hashtag(manualname);
	});
